	
<#if name??>
{
	"name":"kudu-sink-connector-${name}",
	"config":
</#if>
	{
		"connector.class": "com.datamountaineer.streamreactor.connect.kudu.sink.KuduSinkConnector",
		"tasks.max": "1",
		"connect.kudu.master": "${kuduMaster!}",
		"connect.kudu.kcql": "UPSERT INTO  impala::${targetDbNameAndTableName!} SELECT * FROM ${topic!} AUTOCREATE AUTOEVOLVE DISTRIBUTEBY ${pkName!} INTO 2 BUCKETS", 
		"connect.kudu.desensitise.columns": "${desensitizationField!}",
		"connect.kudu.desensitise.algorithm": "${arithmetic!}", 
		"connect.kudu.desensitise.sharesecret": "${shareKey!}",		
		"connect.impala.master": "${impalaUrl!}",
		"connect.impala.master.fqdn": "${impalaFqdn!}",
		"connect.progress.enabled":"true",
		"topics": "${topic!}",
		"connect.kerberos.enable": "${connectorSecurityFlag}",
		<#if connectorSecurityFlag == "true">
		"sasl.mechanism": "GSSAPI",
		"security.protocol": "SASL_PLAINTEXT",
		"sasl.kerberos.service.name": "kafka",
		"connect.kerberos.logincontext": "KafkaClient",
		</#if>
		"connect.kudu.write.flush.mode": "BATCH_SYNC",
		"connect.kudu.mutation.buffer.space":"100000"
	}
<#if name??>
}
</#if>